### Name: kztp
### Title: Kolmogorov-Zurbenko Third-Order Periodogram
### Aliases: kztp kztp_conj


### ** Examples

#
# example
#
t<-1:10000
y<-sin(2*pi*0.1*t)+3*sin(2*pi*0.2*t) + rnorm(length(t),0,2)

a<-kztp(y,50,1)
z<-log(Mod(a))
s<-smooth(z,0.01,20)

omega<-seq(0,1,length=51)[2:26]
filled.contour(omega,omega,s,xlab="freq",ylab="freq",main="Smoothed 3rd Order Periodogram")

#cleanup
rm(t,y,a,z,s,omega)




